Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.core.util
Class PropertiesElement

    java.lang.Object
      org.eclipse.emf.ecp.internal.core.util.Element
          org.eclipse.emf.ecp.internal.core.util.PropertiesElement

All Implemented Interfaces:
  Comparable<ECPElement>, ECPElement, ECPPropertiesAware, PropertiesStore.StorableElement

Direct Known Subclasses:
  ECPProjectImpl, ECPRepositoryImpl

    public abstract class PropertiesElement

extends Element
implements PropertiesStore.StorableElement, ECPPropertiesAware

An element holding `ECPProperties`.

Author:
  Eike Stepper

Constructor Summary
`PropertiesElement(ObjectInput in)` Create a `PropertiesElement` from an `ObjectInput`.
`PropertiesElement(String name, ECPProperties properties)` Constructor.

Method Summary
`ECPProperties` | `getProperties()` This returns the `ECPProperties` attached to this object.
`void` | `write(ObjectOutput out)`

Methods inherited from class org.eclipse.emf.ecp.internal.core.util.Element
`compareTo, equals, getName, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.internal.core.util.PropertiesStore.StorableElement
`isStorable`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### PropertiesElement

    public PropertiesElement(String name,
                             ECPProperties properties)

  Constructor.

  Parameters:
    `name` - the name of the elements
    `properties` - the initial properties

### PropertiesElement

    public PropertiesElement(ObjectInput in)
                      throws IOException

  Create a `PropertiesElement` from an `ObjectInput`.

  Parameters:
    `in` - the `ObjectInput`
  Throws:
    `IOException` - if there a problem while reading the input

Method Detail

### write

    public void write(ObjectOutput out)
               throws IOException

  Specified by:
    `write` in interface `PropertiesStore.StorableElement`
  Throws:
    `IOException`

### getProperties

    public final ECPProperties getProperties()

  This returns the `ECPProperties` attached to this object.

  Specified by:
    `getProperties` in interface `ECPPropertiesAware`
  Returns:
    the `ECPProperties` this object knows of

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.